<?
include_once("../fnc.php");
enlinea_c();

$ids=enc($_SESSION["seccion_id"]);
$idc=enc($_SESSION["curso_id"]);
$idu=enc($_SESSION["unidad_id"]);

$tipo="Add";
if($idt){
 $id_tr=dec($idt);
 $qtr=mysql_query("select * from tareas where id = $id_tr");

 if(mysql_num_rows($qtr)==0){
  alert("Error: La tarea no existe","javascript:history.go(-1)");
 }else{
  $info=mysql_fetch_array($qtr);
  $tipo="Update";
 }
}
$id_seccion=dec($ids);
$id_curso=dec($idc);
$id_unidad=dec($idu);
$qunidad=mysql_query("select unidades_grados.*, zonas_unidades.zona, zonas_unidades.examen
                      from unidades_grados inner join zonas_unidades
                        on unidades_grados.id = zonas_unidades.unidad
                       where unidades_grados.id = '$id_unidad'
                       and zonas_unidades.curso = '$id_curso'
                       and zonas_unidades.seccion='$id_seccion'");
$iunidad=mysql_fetch_array($qunidad);

$vzona_ac=0;
$qzona=mysql_query("select sum(valor_zona) as vzona
                    from evaluaciones
                    where curso ='$id_curso'
                    and seccion ='$id_seccion'
                    and unidad='$id_unidad'");
if(mysql_num_rows($qzona)==0){
 $vzonaev=0;
}else{
 $izonaev=mysql_fetch_array($qzona);
 $vzonaev=$izonaev[vzona];
}

$qzona=mysql_query("select sum(valor_zona) as vzona
                    from tareas
                    where curso ='$id_curso'
                    and seccion ='$id_seccion'
                    and unidad='$id_unidad'");

if(mysql_num_rows($qzona)==0){
 $vzonatr=0;
}else{
 $izonatr=mysql_fetch_array($qzona);
 $vzonatr=$izonatr[vzona];
}

$vzona_ac=$vzonaev+$vzonatr;

//*****
$vexamen_ac=0;
$qzona=mysql_query("select sum(valor_examen) as vzona
                    from evaluaciones
                    where curso ='$id_curso'
                    and seccion ='$id_seccion'");
if(mysql_num_rows($qzona)==0){
 $vexamenev=0;
}else{
 $izonaev=mysql_fetch_array($qzona);
 $vexamenev=$izonaev[vzona];
}

$qzona=mysql_query("select sum(valor_examen) as vzona
                    from tareas
                    where curso ='$id_curso'
                    and seccion ='$id_seccion'");

if(mysql_num_rows($qzona)==0){
 $vexamentr=0;
}else{
 $izonatr=mysql_fetch_array($qzona);
 $vexamentr=$izonatr[vzona];
}

$vexamen_ac=$vexamenev+$vexamentr;
//*****
  $chkz="";
  $chke="";
  if($info[zona]=="S"){$chkz="checked";}
  if($info[examen]=="S"){$chke="checked";}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>e-Ducativo - Bienvenido</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../estilo1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../jsincludes/overlib.js"></script>
<script language="javascript">
function validar(form){
var maxpoints;

  if(document.form1.txtnombre.value==""){
    alert("Por favor ingrese un nombre para la tarea");
    form.txtnombre.focus();
    return (false);
  }

  if(document.form1.txtyear.value==""){
    alert("Ingrese el año de la fecha de entrega");
    form.txtyear.focus();
    return (false);
  }

  if(isNaN(document.form1.txtyear.value)){
    alert("El año de la fecha debe ser numérico");
    form.txtyear.focus();
    return (false);
  }

  if(form.txtinczona.checked){
    if(form.txtvzona.value==""){
     alert("Ingrese el valor de la zona");
     form.txtvzona.focus();
     return (false);
    }

    if(isNaN(document.form1.txtvzona.value)){
     alert("El valor de la zona debe ser numérico");
     form.txtvzona.focus();
     return (false);
    }

    if(form.txtvzona.value<=0){
     alert("El valor de la zona debe ser mayor que 0");
//     form.txtvzona.focus();
     form.txtvzona.select();
     return (false);
    }

    if(Math.abs(form.txtvzona.value) > Math.abs(form.maxvzona.value)){
     alert("El valor de la zona no puede ser mayor a "+ form.maxvzona.value +" puntos");
//     form.txtvzona.focus();
     form.txtvzona.select();
     return (false);
    }
  }

  return (true);
}
</script>
<style type="text/css">
<!--
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
-->
</style></head>

<body>
<table width="80%"  border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#333333">
  <tr>
    <td bgcolor="#FFFFFF">
    <form action="v2_mnt_tarea.php" method="post" enctype="multipart/form-data" name="form1" onsubmit="return validar(form1);">
      <table width="100%"  border="0" cellspacing="0" cellpadding="1">
        <tr>
          <td bgcolor="#6699CC" class="titulo_seccion_blanco"><?if($tipo=="Add"){ echo "Agregar ";}else{echo "Actualizar ";}?>
            tarea</td>
        </tr>
        <tr>
          <td><table width="100%"  border="0" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF">
                  <tr bgcolor="#F5F5F5">
                    <td width="15%" bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Nombre:</div></td>
                    <td width="85%" bgcolor="#ECF2F9"><div align="left">
                      <input name="txtnombre" type="text" class="textbox" id="txtnombre" size="60" value="<?echo $info[tarea];?>">
                    </div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Descripci&oacute;n:</div></td>
                    <td bgcolor="#ECF2F9"><div align="left">
                      <textarea name="txtdescripcion" cols="50" rows="3" class="textbox" id="txtdescripcion"><?echo $info[descripcion];?></textarea>
                    </div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Fecha entrega: </div></td>
                    <td bgcolor="#ECF2F9" class="lbl_formulario"><div align="left">
                      <select name="txtdia" class="textbox" id="txtdia">
                        <?
                                  if($tipo=="Update"){
                                    echo "<option value='".day_of_date($info[fecha_limite])."' class='selected_option' selected>".day_of_date($info[fecha_limite])."</option>";
                                  }

                                  for($i=1;$i<=31;$i++){
                                   $sel="";
                                   if($tipo=="Add" && $i==date("d")){
                                    $sel="selected";
                                   }
                                   echo "<option value='$i' $sel>$i</option>";
                                  }
                                  ?>
                      </select>
                      -
                      <select name="txtmes" class="textbox" id="txtmes">
                        <?
                                  if($tipo=="Update"){
                                    echo "<option value='".month_of_date($info[fecha_limite])."' class='selected_option' selected>".mes_letras(month_of_date($info[fecha_limite]))."</option>";
                                  }


                                  for($i=1;$i<=12;$i++){
                                   $sel="";
                                   if($tipo=="Add" && $i==date("m")){
                                    $sel="selected";
                                   }
                                   echo "<option value='$i' $sel>".mes_letras($i)."</option>";
                                  }
                                  ?>
                      </select>
                      -
                      <input name="txtyear" type="text" class="textbox" id="txtyear" size="4" maxlength="4" value="<?if($tipo=="Add"){echo date("Y");}else{echo year_of_date($info[fecha_limite]);}?>">
                      <br>
                      Hasta las
                      <select name="txthora" class="textbox" id="txthora">
                        <?
                                    if($tipo=="Update"){
                                      echo "<option value='".hora_of_time($info[hora_limite])."' class='selected_option' selected>".hora_of_time($info[hora_limite])."</option>";
                                      $sel="";
                                    }else{
                                      $sel="selected";
                                    }

                                    for($i=0;$i<24;$i++){
                                     if($i<10){$hora="0$i";}else{$hora=$i;}
                                     echo "<option value='$i' $sel>$hora</option>";
                                    }
                                    ?>
                      </select>
                      :
                      <select name="txtminutos" class="textbox" id="txtminutos">
                        <?
                                    if($tipo=="Update"){
                                      echo "<option value='".minutos_of_time($info[hora_limite])."' class='selected_option' selected>".minutos_of_time($info[hora_limite])."</option>";
                                    }

                                    for($i=0;$i<=59;$i++){
                                     if($i<10){$min="0$i";}else{$min=$i;}
                                     echo "<option value='$i' $sel>$min</option>";
                                    }
                                    ?>
                      </select>
                      Horas<a href="#" onMouseOver="return overlib('Establezca la fecha m&aacute;xima de entrega de la tarea.');" onmouseout="return nd();"><img src="../images/con_info.png" width="16" height="16" border="0"></a></div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Archivo:</div></td>
                    <td bgcolor="#ECF2F9"><div align="left">
                      <input name="txtarchivo" type="file" class="textbox" id="txtarchivo" size="50">
                      <a href="#" onMouseOver="return overlib('D&eacute; clic para cargar un archivo asociado a la tarea.');" onmouseout="return nd();"><img src="../images/con_info.png" width="16" height="16" border="0"></a></div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Link:</div></td>
                    <td bgcolor="#ECF2F9"><div align="left">
                      <input name="txtlink" type="text" class="textbox" id="txtlink" value="<?if($tipo=="Add"){echo "http://";}else{echo $info[link];}?>" size="60">
                      <a href="#" onMouseOver="return overlib('Ingrese una direcci&oacute;n web para asociarla a la tarea.');" onmouseout="return nd();"><img src="../images/con_info.png" width="16" height="16" border="0"></a></div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Entrega electr&oacute;nica? </div></td>
                    <td bgcolor="#ECF2F9"><div align="left">
                      <input name="txtelectronica" type="checkbox" id="txtelectronica" value="S" <?if($info[electronica]=="S"){echo "checked";}?>>
                      <a href="#" onMouseOver="return overlib('Marque esta opci&oacute;n si la terea ser&aacute; enviada utilizando e-ducativo.');" onmouseout="return nd();"><img src="../images/con_info.png" width="16" height="16" border="0"></a></div></td>
                  </tr>
                  <tr align="left" valign="middle" bgcolor="#EEF7FB">
                    <td valign="top" bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Valor de zona </div></td>
                    <td bgcolor="#ECF2F9"><div align="left"><span class="lbl_campo">
                      <input name="txtinczona" type="checkbox" id="txtinczona2" value="S" <?=$chkz;?>>
                      </span>
                        <input name="txtvzona" type="text" class="textbox" id="txtvzona" size="6" maxlength="6" value="<?=round($info[valor_zona],0);?>">
                        <span class="parrafo">                      de <strong>
                        <?=round($iunidad[zona],0);?>
                        puntos.</strong><br>
                      Actualmente ya se encuentran asignados <strong>
                        <?=$vzona_ac;?>
                        </strong> puntos.</span><br>
                        <span class="font_blue_11">Tareas:
                        <?=round($vzonatr,0);?>
                        puntos. Evaluaciones:
                        <?=round($vzonaev,0);?>
                        puntos.
                        <input name="maxvzona" type="hidden" id="maxvzona" value="<?if($tipo=="Add"){echo round($iunidad[zona],0)-$vzona_ac;}else{echo round($iunidad[zona],0)-$vzona_ac+round($info[valor_zona],0);}?>">
                        </span></div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo">Ocultar en cuadro de zonas del alumno?</td>
                    <td bgcolor="#FFAAAA"><input name="txtoculta" type="checkbox" id="txtoculta" value="S" <?if($info[oculta]=="S"){echo "checked";}?>>
                      <span class="lbl_campo">Si la tarea es parte de la zona de ex&aacute;menes, por favor marcar esta casilla y as&iacute; evitar&aacute; que el alumno vea la nota en el cuadro de zonas.</span></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td bgcolor="#CFDFEF" class="lbl_campo"><div align="left">Activa:</div></td>
                    <td bgcolor="#ECF2F9"><div align="left">
                      <input name="txtactiva" type="checkbox" id="txtactiva" value="S" <?if($info[activa]=="S"){echo "checked";} if(empty($info[activa])){echo "checked";}?>>
                      <a href="#" onMouseOver="return overlib('<strong>Estado Activa:</strong><br>Hace visible la tarea para los alumnos.<br><br><strong>Estado NO Activa:</strong><br>Oculta la tarea para todos los usuarios.');" onmouseout="return nd();"><img src="../images/con_info.png" width="16" height="16" border="0"></a> </div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td colspan="2" bgcolor="#FFE784"><div align="left">
                      <?
                                  if($tipo=="Add"){
                                  ?>
                      <table width="100%" border="0" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF">
                        <tr>
                          <td colspan="2" bgcolor="#FFE784" class="lbl_campo">SELECCIONE LOS CURSOS ADICIONALES PARA AGREGAR ESTA TAREA </td>
                        </tr>
                        <?
                                    $cnt_add_cursos=0;
                                    $qcursosadd=mysql_query("select distinct cursos.curso, cursos.codigo, cc.grado, cc.seccion
                                                             from cursos inner join cursos_catedraticos cc ON cc.curso = cursos.codigo
                                                             where cc.catedratico='$uuser'
                                                             order by cc.grado, cc.seccion, cursos.curso");
                                                             
                                    while($icursoadd=mysql_fetch_array($qcursosadd)){
                                    
                                    if($icursoadd[codigo]==$id_curso && $icursoadd[seccion]==$id_seccion){
                                      continue;
                                    }
                                    
                                    $cnt_add_cursos++;
                                    $qgradoadd=mysql_query("select * from grados where id = '{$icursoadd[grado]}'");
                                    $igradoadd=mysql_fetch_array($qgradoadd);
                                    
                                    $qundgradd=runsql("select * from unidades_grados where grado = '{$igradoadd[id]}' and estado='A' and en_numeros = '{$iunidad[en_numeros]}' order by en_numeros",0);
                                    if(registros($qundgradd)==0){continue;}    
                                    $iundgradd=mysql_fetch_array($qundgradd);
                                    $id_und_add=$iundgradd[id];

                                    ?>
                        <tr>
                          <td width="4%" bgcolor="#FFE784"><input type="checkbox" name="<?="curso_add$cnt_add_cursos";?>" value="<?=$icursoadd[codigo];?>"></td>
                          <td bgcolor="#FFE784" class="lbl_campo"><div align="left" class="lbl_campo">
                              <?=$icursoadd[curso];?>
                              </div>
                              <div class="lbl_formulario">
                                <?=" [ ".$igradoadd[grado]." | ".gnivel(enc($igradoadd[nivel]))." | Secci&oacute;n: {$icursoadd[seccion]} ]";?>
                              </div>
                            <div class="lbl_formulario">
                              <?=gunidad(enc($id_und_add));?>
                            </div>
                            <input type="hidden" name="grado_add<?=$cnt_add_cursos;?>" value="<?=$igradoadd[id];?>">
                              <input type="hidden" name="seccion_add<?=$cnt_add_cursos;?>" value="<?=$icursoadd[seccion];?>">
                              <input type="hidden" name="unidad_add<?=$cnt_add_cursos;?>" value="<?=$id_und_add;?>"></td>
                        </tr>
                        <?
                                    }
                                    ?>
                        <tr>
                          <td colspan="2" bgcolor="#FFE784" class="lbl_roja">IMPORTANTE: Si la suma de la zona de cada curso seleccionado m&aacute;s el valor de esta tarea es mayor a la zona m&aacute;xima establecida por unidad / curso, se agregar&aacute; la tarea con un valor de 0 puntos de zona.</td>
                        </tr>
                      </table>
                      <?
                                  }
                                  ?>                    
                    </div></td>
                  </tr>
                  <tr bgcolor="#F5F5F5">
                    <td colspan="2" class="lbl_formulario"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <tr bgcolor="#CFDFEF">
                          <td width="25%"><input name="idj" type="hidden" id="idj" value="<?=$idj;?>">
                              <input name="tipo_trn" type="hidden" id="tipo_trn" value="<?=$tipo;?>">
                              <input name="max_cur_add" type="hidden" id="idc" value="<?=$cnt_add_cursos;?>">
                              <input name="idc" type="hidden" id="idc" value="<?=$idc;?>">
                              <input name="idg" type="hidden" id="idg" value="<?=$idg;?>">
                              <input name="idt" type="hidden" id="idt" value="<?=$idt;?>">
                              <input name="ids" type="hidden" id="ids" value="<?=$ids;?>">
                              <?
                                        if($tipo=="Add"){
                                        ?>
                              <input name="idu" type="hidden" id="idu" value="<?=$idu;?>">
                              <?
                                        }
                                        ?>
                              <input name="idn" type="hidden" id="idn" value="<?=$idn;?>"></td>
                          <td width="25%"><div align="center">
                              <input name="Submit" type="submit" class="boton_guardar" value="Guardar cambios">
                          </div></td>
                          <td width="25%"><input name="Submit2" type="reset" class="boton_deshacer" value="Deshacer los cambios"></td>
                          <td width="25%"><div align="center"><a href="inicio.php#tareas" class="link_parrafo"><img src="../images/regresar_c.png" width="32" height="32" border="0"><br>
                          Regresar</a></div></td>
                        </tr>
                    </table></td>
                  </tr>
                </table>
      <br>
                <?
                              if($tipo=="Update"){
                              $tmparc=explode("/",$info[archivo]);
                              $narch=$tmparc[3];
                              ?>
                <table width="100%"  border="0" cellspacing="0" cellpadding="1">
                  <tr>
                    <td bgcolor="#E1EDFD" class="lbl_campo"><strong>ARCHIVOS ASOCIADOS</strong></td>
                  </tr>
                  <?
                                if($info[archivo]!=""){
                                ?>
                  <tr>
                    <td><img src="../images/flecha_1.png" width="9" height="9"><a href="downloadit.php?file=<?=enc($info[archivo]);?>" class="link_parrafo">
                      <?=$narch;?>
                    </a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mnt_tarea_borrararchivo.php?idt=<?="$idt&idg=$idg&idc=$idc&file=".enc($info[archivo]);?>" class="link_dt_delete">[Eliminar archivo]</a></td>
                  </tr>
                  <?
                                }else{
                                ?>
                  <tr>
                    <td><div class="parrafo">No hay archivos asociados</div></td>
                  </tr>
                  <?
                                }
                                ?>
                </table>
            <?
                              }else{
                              ?><?
                              }
                              ?>          </td>
        </tr>
      </table>
    </form></td>
  </tr>
</table>
<br>
</body>
</html>
